Submitted by : 127.0.0.1 at: 2005-08-02T16:05:06+00:00 (12 years ago)
Name :
Category : Severity : Status :
Optional subject :  
Optional comment :

2005-08-02 18:42:34 failed: Traceback (most recent call last):

  File "/usr/local/Zope-2.8/instance/lemonchord/Products/CMFQuickInstallerTool/QuickInstallerTool.py", line 311, in installProduct

  File "/usr/local/Zope-2.8/lib/python/Products/ExternalMethod/ExternalMethod.py", line 225, in __call__
    try: return f(*args, **kw)

  File "/usr/local/Zope-2.8/instance/plone/Products/ZWiki/Extensions/Install.py", line 71, in install
    ZWikiPage().__of__(self).setupCatalog()

  File "/usr/local/Zope-2.8/instance/plone/Products/ZWiki/Admin.py", line 417, in setupCatalog
    catalogindexes, catalogmetadata = catalog.indexes(), catalog.schema()

 AttributeError: indexes


comments:

Re: ZWiki 0.44.0 / Zope 2.8 / Plone 2.1.rc1 --Simon Michael, Wed, 03 Aug 2005 10:43:17 -0700 reply
Tim Olsen wrote:

Has anyone successfully run a combination of ZWiki 0.44.0, Zope 2.8, and Plone 2.1.rc1?

I'm getting the following error when I try to install ZWiki:

Yes, but someone else reported the same problem you're having. It was because he had something named "Catalog"; renaming that fixed the problem. Perhaps ATCT in plone 2.1 uses this id ?

Let's continue this at http://zwiki.org/1132Version0440FailsToInstallOnZope28WithPlone21rc1 .

property change --simon, Wed, 03 Aug 2005 10:46:23 -0700 reply
Severity: normal => serious

possible zwiki fix --simon, Wed, 03 Aug 2005 10:50:08 -0700 reply
As a longer-term solution, perhaps change ZWiki/CatalogAwareness?.py line 46 to:

            if hasattr(folderaqbase,'Catalog') and hasattr(folderaqbase.Catalog,'indexes'):

property change --Simon Michael, Wed, 03 Aug 2005 10:57:58 -0700 reply
Er wait.. tolsen is Tim Olsen. :) I think I just got caught in a time warp. There has been only one report. Carry on.

fixed --simon, Thu, 01 Sep 2005 01:06:09 -0700 reply
Status: open => closed

This is fixed in darcs I believe.

clarification --simon, Thu, 01 Sep 2005 15:12:33 -0700 reply
Name: #1132 version 0.44.0 fails to install on Zope 2.8 with Plone 2.1rc1 => #1132 something else named Catalog breaks CMF/Plone installation and /setupCatalog

This doesn't seem to be plone 2.1 related. Zwiki 0.45 will ignore a "Catalog" object that isn't a real catalog.

repair --frank, Wed, 15 Nov 2006 08:58:36 -0800 reply
Name: #1132 genevie => #1132 something else named Catalog breaks CMF/Plone installation and /setupCatalog Category: user-editing-moin => general Severity: funded => serious